import { Injector, Signal } from '@angular/core';
import { Loader, Object3D } from 'three';
import { NgtObjectMap } from './utils/make';
export type NgtGLTFLike = {
    scene: Object3D;
};
export interface NgtLoader<T> extends Loader {
    load(url: string, onLoad?: (result: T) => void, onProgress?: (event: ProgressEvent) => void, onError?: (event: unknown) => void): unknown;
    loadAsync(url: string, onProgress?: (event: ProgressEvent) => void): Promise<T>;
}
export type NgtLoaderProto<T> = new (...args: any) => NgtLoader<T extends unknown ? any : T>;
export type NgtLoaderReturnType<T, L extends NgtLoaderProto<T>> = T extends unknown ? Awaited<ReturnType<InstanceType<L>['loadAsync']>> : T;
export type NgtLoaderExtensions<T extends {
    prototype: NgtLoaderProto<any>;
}> = (loader: T['prototype']) => void;
export type NgtConditionalType<Child, Parent, Truthy, Falsy> = Child extends Parent ? Truthy : Falsy;
export type NgtBranchingReturn<T, Parent, Coerced> = NgtConditionalType<T, Parent, Coerced, T>;
export type NgtLoaderResults<TInput extends string | string[] | Record<string, string>, TReturn> = TInput extends string[] ? TReturn[] : TInput extends object ? {
    [key in keyof TInput]: TReturn;
} : TReturn;
declare function _injectLoader<TData, TUrl extends string | string[] | Record<string, string>, TLoaderConstructor extends NgtLoaderProto<TData>, TReturn = NgtLoaderReturnType<TData, TLoaderConstructor>>(loaderConstructorFactory: (inputs: string[]) => TLoaderConstructor, inputs: () => TUrl, { extensions, onProgress, onLoad, injector, }?: {
    extensions?: NgtLoaderExtensions<TLoaderConstructor>;
    onProgress?: (event: ProgressEvent) => void;
    onLoad?: (data: NoInfer<TReturn>) => void;
    injector?: Injector;
}): Signal<NgtLoaderResults<TUrl, NgtBranchingReturn<TReturn, NgtGLTFLike, NgtGLTFLike & NgtObjectMap>> | null>;
declare namespace _injectLoader {
    var preload: <TData, TUrl extends string | string[] | Record<string, string>, TLoaderConstructor extends NgtLoaderProto<TData>>(loaderConstructorFactory: (inputs: string[]) => TLoaderConstructor, inputs: () => TUrl, extensions?: NgtLoaderExtensions<TLoaderConstructor>, onLoad?: (data: NoInfer<TData>) => void) => void;
    var destroy: () => void;
    var clear: (urls: string | string[]) => void;
}
export type NgtInjectedLoader = typeof _injectLoader;
export declare const injectLoader: NgtInjectedLoader;
export {};
