import { Injector } from '@angular/core';
import { Camera, Object3D, Scene } from 'three';
import { NgtComputeFunction, NgtSize, NgtState } from './types';
import * as i0 from "@angular/core";
export declare class NgtPortalBeforeRender {
    private portalStore;
    renderPriority: import("@angular/core").InputSignal<number>;
    parentScene: import("@angular/core").InputSignal<Scene>;
    parentCamera: import("@angular/core").InputSignal<Camera>;
    constructor();
    onPointerOver(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtPortalBeforeRender, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtPortalBeforeRender, "ngt-portal-before-render", never, { "renderPriority": { "alias": "renderPriority"; "required": false; "isSignal": true; }; "parentScene": { "alias": "parentScene"; "required": true; "isSignal": true; }; "parentCamera": { "alias": "parentCamera"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
export declare class NgtPortalContent {
    constructor();
    static ngTemplateContextGuard(_: NgtPortalContent, ctx: unknown): ctx is {
        container: Object3D;
        injector: Injector;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtPortalContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtPortalContent, "ng-template[portalContent]", never, {}, {}, never, never, true, never>;
}
export declare const privateKeys: readonly ["setSize", "setFrameloop", "setDpr", "events", "setEvents", "invalidate", "advance", "size", "viewport"];
export type NgtPortalPrivateKeys = (typeof privateKeys)[number];
export type NgtPortalInjectableState = Partial<Omit<NgtState, NgtPortalPrivateKeys> & {
    events?: {
        enabled?: boolean;
        priority?: number;
        compute?: NgtComputeFunction;
        connected?: any;
    };
    size?: NgtSize;
}>;
export declare class NgtPortal {
    container: import("@angular/core").InputSignal<Object3D<import("three").Object3DEventMap>>;
    state: import("@angular/core").InputSignal<Partial<Omit<NgtState, "viewport" | "events" | "size" | "invalidate" | "advance" | "setEvents" | "setSize" | "setDpr" | "setFrameloop"> & {
        events?: {
            enabled?: boolean;
            priority?: number;
            compute?: NgtComputeFunction;
            connected?: any;
        };
        size?: NgtSize;
    }>>;
    /**
     * @decsription turn this on to enable "HUD" like rendering
     */
    autoRender: import("@angular/core").InputSignal<boolean>;
    autoRenderPriority: import("@angular/core").InputSignal<number>;
    private portalContent;
    private portalAnchor;
    private injector;
    private portalStore;
    private parentStore;
    protected parentScene: import("@angular/core").Signal<Scene>;
    protected parentCamera: import("@angular/core").Signal<import("angular-three").NgtCameraManual>;
    private raycaster;
    private pointer;
    private portalRendered;
    protected shouldAutoRender: import("@angular/core").Signal<boolean>;
    private portalView?;
    constructor();
    private inject;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtPortal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtPortal, "ngt-portal", never, { "container": { "alias": "container"; "required": true; "isSignal": true; }; "state": { "alias": "state"; "required": false; "isSignal": true; }; "autoRender": { "alias": "autoRender"; "required": false; "isSignal": true; }; "autoRenderPriority": { "alias": "autoRenderPriority"; "required": false; "isSignal": true; }; }, {}, ["portalContent"], never, true, never>;
}
