import { Renderer2, RendererFactory2, RendererType2 } from '@angular/core';
import { NgtAnyRecord, NgtState } from '../types';
import { NgtSignalStore } from '../utils/signal-store';
import { NgtAnyConstructor } from './catalogue';
import { NgtRendererNode, NgtRendererState } from './state';
import * as i0 from "@angular/core";
export declare class NgtRendererFactory implements RendererFactory2 {
    private delegateRendererFactory;
    private document;
    private catalogue;
    private rootStore;
    private portalCommentsNodes;
    private rendererMap;
    private routedSet;
    createRenderer(hostElement: any, type: RendererType2 | null): Renderer2;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtRendererFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgtRendererFactory>;
}
export declare class NgtRenderer implements Renderer2 {
    private delegate;
    private rootStore;
    private document;
    private portalCommentsNodes;
    private catalogue;
    private isRoot;
    private argsCommentNodes;
    private parentCommentNodes;
    constructor(delegate: Renderer2, rootStore: NgtSignalStore<NgtState>, document: Document, portalCommentsNodes: Array<NgtRendererNode>, catalogue: Record<string, NgtAnyConstructor>, isRoot?: boolean);
    createElement(name: string, namespace?: string | null | undefined): NgtAnyRecord & {
        __ngt_renderer__: NgtRendererState;
    };
    createComment(value: string): NgtAnyRecord & {
        __ngt_renderer__: NgtRendererState;
    };
    appendChild(parent: NgtRendererNode, newChild: NgtRendererNode): void;
    insertBefore(parent: NgtRendererNode, newChild: NgtRendererNode): void;
    removeChild(parent: NgtRendererNode | null, oldChild: NgtRendererNode, isHostElement?: boolean | undefined, calledByNgt?: boolean): void;
    parentNode(node: NgtRendererNode): any;
    private setAttributeInternal;
    setAttribute(el: NgtRendererNode, name: string, value: string, namespace?: string | null | undefined): void;
    removeAttribute(el: NgtRendererNode, name: string, namespace?: string | null | undefined): void;
    setProperty(el: NgtRendererNode, name: string, value: any): void;
    listen(target: NgtRendererNode, eventName: string, callback: (event: any) => boolean | void): () => void;
    private destroyInternal;
    private removeCommentNode;
    private processPortalContainer;
    private shouldFindGrandparentInstance;
    private getNgtDirective;
    createText: (value: string) => any;
    destroy: () => void;
    destroyNode: ((node: any) => void) | null;
    selectRootElement: (selectorOrNode: string | any, preserveContent?: boolean) => any;
    nextSibling: (node: any) => any;
    addClass: (el: any, name: string) => void;
    removeClass: (el: any, name: string) => void;
    setStyle: (el: any, style: string, value: any, flags?: import("@angular/core").RendererStyleFlags2) => void;
    removeStyle: (el: any, style: string, flags?: import("@angular/core").RendererStyleFlags2) => void;
    setValue: (node: any, value: string) => void;
    get data(): {
        [key: string]: any;
    };
}
export declare function provideNgtRenderer(store: NgtSignalStore<NgtState>): import("@angular/core").EnvironmentProviders;
export { extend } from './catalogue';
export { HTML, NON_ROOT, ROUTED_SCENE } from './constants';
