import { DebugNode } from '@angular/core';
import { NgtAnyRecord } from '../types';
import { NgtRendererClassId } from './utils';
export type NgtRendererState = [
    type: 'three' | 'portal' | 'comment' | 'dom',
    parent: NgtRendererNode | null,
    children: NgtRendererNode[],
    destroyed: boolean,
    rawValue: any,
    portalContainer: NgtRendererNode,
    debugNode: DebugNode | undefined,
    debugNodeFactory: () => DebugNode | undefined
];
export interface NgtRendererNode {
    __ngt_renderer__: NgtRendererState;
    __ngt_dom_parent__?: HTMLElement;
}
export declare function createNode(type: NgtRendererState[NgtRendererClassId.type], node: NgtAnyRecord, document: Document): NgtAnyRecord & {
    __ngt_renderer__: NgtRendererState;
};
export declare function isDOM(node: NgtAnyRecord): boolean;
export declare function getClosestParentWithInstance(node: NgtRendererNode): NgtRendererNode | null;
export declare function setParent(node: NgtRendererNode, parent: NgtRendererNode): void;
export declare function addChild(node: NgtRendererNode, child: NgtRendererNode): void;
export declare function removeChild(node: NgtRendererNode, child: NgtRendererNode): void;
