import { ElementRef } from '@angular/core';
import { BufferGeometry, Camera, Material, Object3D, OrthographicCamera, PerspectiveCamera, Scene, Texture } from 'three';
import { NgtEquConfig, NgtInstanceNode, NgtRendererLike } from '../types';
export declare const is: {
    obj: (a: unknown) => a is object;
    material: (a: unknown) => a is Material;
    geometry: (a: unknown) => a is BufferGeometry;
    orthographicCamera: (a: unknown) => a is OrthographicCamera;
    perspectiveCamera: (a: unknown) => a is PerspectiveCamera;
    camera: (a: unknown) => a is Camera;
    renderer: (a: unknown) => boolean;
    scene: (a: unknown) => a is Scene;
    ref: (a: unknown) => a is ElementRef;
    instance: (a: unknown) => a is NgtInstanceNode;
    object3D: (a: unknown) => a is Object3D;
    colorSpaceExist: <T extends NgtRendererLike | Texture | object, P = T extends NgtRendererLike ? {
        outputColorSpace: string;
    } : {
        colorSpace: string;
    }>(object: T) => object is T & P;
    equ(a: any, b: any, { arrays, objects, strict }?: NgtEquConfig): boolean;
};
