import { Material, Object3D, OrthographicCamera, PerspectiveCamera, WebGLRenderer } from 'three';
import { NgtCanvasElement, NgtDpr, NgtGLOptions, NgtIntersection, NgtSize } from '../types';
export declare function makeId(event?: NgtIntersection): string;
export declare function makeDpr(dpr: NgtDpr, window?: Window): number;
export declare function makeRendererInstance<TCanvas extends NgtCanvasElement>(glOptions: NgtGLOptions, canvas: TCanvas): WebGLRenderer;
export declare function makeCameraInstance(isOrthographic: boolean, size: NgtSize): OrthographicCamera | PerspectiveCamera;
export type NgtObjectMap = {
    nodes: Record<string, Object3D<any>>;
    materials: Record<string, Material>;
    [key: string]: any;
};
export declare function makeObjectGraph(object: Object3D): NgtObjectMap;
