import { ElementRef, Injector } from '@angular/core';
import { Object3D } from 'three';
import { NgtEventHandlers, NgtThreeEvent } from '../types';
import * as i0 from "@angular/core";
export declare class NgtObjectEvents {
    click: import("@angular/core").OutputEmitterRef<NgtThreeEvent<MouseEvent>>;
    dblclick: import("@angular/core").OutputEmitterRef<NgtThreeEvent<MouseEvent>>;
    contextmenu: import("@angular/core").OutputEmitterRef<NgtThreeEvent<MouseEvent>>;
    pointerup: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointerdown: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointerover: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointerout: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointerenter: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointerleave: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointermove: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    pointermissed: import("@angular/core").OutputEmitterRef<NgtThreeEvent<MouseEvent>>;
    pointercancel: import("@angular/core").OutputEmitterRef<NgtThreeEvent<PointerEvent>>;
    wheel: import("@angular/core").OutputEmitterRef<NgtThreeEvent<WheelEvent>>;
    ngtObjectEvents: import("@angular/core").ModelSignal<Object3D<import("three").Object3DEventMap> | ElementRef<Object3D<import("three").Object3DEventMap>> | null | undefined>;
    constructor();
    private emitEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtObjectEvents, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtObjectEvents, "[ngtObjectEvents]", never, { "ngtObjectEvents": { "alias": "ngtObjectEvents"; "required": false; "isSignal": true; }; }, { "click": "click"; "dblclick": "dblclick"; "contextmenu": "contextmenu"; "pointerup": "pointerup"; "pointerdown": "pointerdown"; "pointerover": "pointerover"; "pointerout": "pointerout"; "pointerenter": "pointerenter"; "pointerleave": "pointerleave"; "pointermove": "pointermove"; "pointermissed": "pointermissed"; "pointercancel": "pointercancel"; "wheel": "wheel"; "ngtObjectEvents": "ngtObjectEventsChange"; }, never, never, true, never>;
}
export declare function injectObjectEvents(target: () => ElementRef<Object3D> | Object3D | null | undefined, events: NgtEventHandlers, { injector }?: {
    injector?: Injector;
}): (() => void)[];
