import '@nativescript/canvas-three';
import { Type } from '@angular/core';
import { NgtDpr, NgtGLOptions, NgtPerformance, NgtSize, NgtState } from 'angular-three';
import { Raycaster, Scene, Vector3, WebGLRenderer } from 'three';
import * as i0 from "@angular/core";
export declare class NgtCanvasNative {
    sceneGraph: import("@angular/core").InputSignalWithTransform<Type<any>, Type<any> | "routed">;
    gl: import("@angular/core").InputSignal<NgtGLOptions>;
    size: import("@angular/core").InputSignal<NgtSize | undefined>;
    shadows: import("@angular/core").InputSignalWithTransform<NonNullable<boolean | "basic" | "percentage" | "soft" | "variance" | Partial<import("three").WebGLShadowMap> | undefined>, unknown>;
    legacy: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    linear: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    flat: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    orthographic: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    frameloop: import("@angular/core").InputSignal<NonNullable<"always" | "demand" | "never" | undefined>>;
    performance: import("@angular/core").InputSignal<Partial<Omit<NgtPerformance, "regress">> | undefined>;
    dpr: import("@angular/core").InputSignal<NgtDpr>;
    raycaster: import("@angular/core").InputSignal<Partial<Raycaster> | undefined>;
    scene: import("@angular/core").InputSignal<Scene | Partial<Scene> | undefined>;
    camera: import("@angular/core").InputSignal<NonNullable<((import("angular-three").NgtCamera | Partial<{
        name?: string | undefined;
        readonly type?: string | undefined;
        addEventListener: (<TEventKey extends keyof import("angular-three").NgtNodeEventMap<TOriginal>>(type: TEventKey, listener: (this: import("angular-three").NgtNodeElement<import("three").Camera, typeof import("three").Camera>, ev: import("angular-three").NgtNodeEventMap<import("three").Camera>[TEventKey]) => any) => void) & (<TEventKey extends keyof import("angular-three").NgtAllObject3DEventsMap>(type: TEventKey, listener: (this: /*elided*/ any, ev: import("angular-three").NgtAllObject3DEventsMap[TEventKey]) => any) => void);
        removeEventListener: (<TEventKey extends keyof import("angular-three").NgtNodeEventMap<TOriginal>>(type: TEventKey, listener: (this: import("angular-three").NgtNodeElement<import("three").Camera, typeof import("three").Camera>, ev: import("angular-three").NgtNodeEventMap<import("three").Camera>[TEventKey]) => any) => void) & (<TEventKey extends keyof import("angular-three").NgtAllObject3DEventsMap>(type: TEventKey, listener: (this: /*elided*/ any, ev: import("angular-three").NgtAllObject3DEventsMap[TEventKey]) => any) => void);
        attach: string | string[] | import("angular-three").NgtAttachFunction;
        __ngt_args__: [];
        readonly isCamera?: true | undefined;
        matrixWorldInverse?: import("three").Matrix4 | undefined;
        projectionMatrix?: import("three").Matrix4 | undefined;
        projectionMatrixInverse?: import("three").Matrix4 | undefined;
        coordinateSystem?: import("three").CoordinateSystem | undefined;
        viewport?: import("three").Vector4 | undefined;
        getWorldDirection?: ((target: Vector3) => Vector3) | undefined;
        readonly isObject3D?: true | undefined;
        readonly id?: number | undefined;
        uuid?: string | undefined;
        parent?: import("three").Object3D<import("three").Object3DEventMap> | null | undefined;
        children?: import("three").Object3D<import("three").Object3DEventMap>[] | undefined;
        readonly modelViewMatrix?: import("three").Matrix4 | undefined;
        readonly normalMatrix?: import("three").Matrix3 | undefined;
        matrixWorld?: import("three").Matrix4 | undefined;
        matrixAutoUpdate?: boolean | undefined;
        matrixWorldAutoUpdate?: boolean | undefined;
        matrixWorldNeedsUpdate?: boolean | undefined;
        visible?: boolean | undefined;
        castShadow?: boolean | undefined;
        receiveShadow?: boolean | undefined;
        frustumCulled?: boolean | undefined;
        renderOrder?: number | undefined;
        animations?: import("three").AnimationClip[] | undefined;
        userData?: Record<string, any> | undefined;
        customDepthMaterial?: import("three").Material | undefined;
        customDistanceMaterial?: import("three").Material | undefined;
        onBeforeShadow?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, shadowCamera: import("three").Camera, geometry: import("three").BufferGeometry, depthMaterial: import("three").Material, group: import("three").Group) => void) | undefined;
        onAfterShadow?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, shadowCamera: import("three").Camera, geometry: import("three").BufferGeometry, depthMaterial: import("three").Material, group: import("three").Group) => void) | undefined;
        onBeforeRender?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, geometry: import("three").BufferGeometry, material: import("three").Material, group: import("three").Group) => void) | undefined;
        onAfterRender?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, geometry: import("three").BufferGeometry, material: import("three").Material, group: import("three").Group) => void) | undefined;
        applyMatrix4?: ((matrix: import("three").Matrix4) => void) | undefined;
        applyQuaternion?: ((quaternion: import("three").Quaternion) => import("three").Camera) | undefined;
        setRotationFromAxisAngle?: ((axis: Vector3, angle: number) => void) | undefined;
        setRotationFromEuler?: ((euler: import("three").Euler) => void) | undefined;
        setRotationFromMatrix?: ((m: import("three").Matrix4) => void) | undefined;
        setRotationFromQuaternion?: ((q: import("three").Quaternion) => void) | undefined;
        rotateOnAxis?: ((axis: Vector3, angle: number) => import("three").Camera) | undefined;
        rotateOnWorldAxis?: ((axis: Vector3, angle: number) => import("three").Camera) | undefined;
        rotateX?: ((angle: number) => import("three").Camera) | undefined;
        rotateY?: ((angle: number) => import("three").Camera) | undefined;
        rotateZ?: ((angle: number) => import("three").Camera) | undefined;
        translateOnAxis?: ((axis: Vector3, distance: number) => import("three").Camera) | undefined;
        translateX?: ((distance: number) => import("three").Camera) | undefined;
        translateY?: ((distance: number) => import("three").Camera) | undefined;
        translateZ?: ((distance: number) => import("three").Camera) | undefined;
        localToWorld?: ((vector: Vector3) => Vector3) | undefined;
        worldToLocal?: ((vector: Vector3) => Vector3) | undefined;
        lookAt?: {
            (vector: Vector3): void;
            (x: number, y: number, z: number): void;
        } | undefined;
        add?: ((...object: import("three").Object3D[]) => import("three").Camera) | undefined;
        remove?: ((...object: import("three").Object3D[]) => import("three").Camera) | undefined;
        removeFromParent?: (() => import("three").Camera) | undefined;
        clear?: (() => import("three").Camera) | undefined;
        getObjectById?: ((id: number) => import("three").Object3D | undefined) | undefined;
        getObjectByName?: ((name: string) => import("three").Object3D | undefined) | undefined;
        getObjectByProperty?: ((name: string, value: any) => import("three").Object3D | undefined) | undefined;
        getObjectsByProperty?: ((name: string, value: any, optionalTarget?: import("three").Object3D[]) => import("three").Object3D[]) | undefined;
        getWorldPosition?: ((target: Vector3) => Vector3) | undefined;
        getWorldQuaternion?: ((target: import("three").Quaternion) => import("three").Quaternion) | undefined;
        getWorldScale?: ((target: Vector3) => Vector3) | undefined;
        traverse?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        traverseVisible?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        traverseAncestors?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        updateMatrix?: (() => void) | undefined;
        updateMatrixWorld?: ((force?: boolean) => void) | undefined;
        updateWorldMatrix?: ((updateParents: boolean, updateChildren: boolean) => void) | undefined;
        toJSON?: ((meta?: import("three").JSONMeta) => import("three").Object3DJSON) | undefined;
        clone?: ((recursive?: boolean) => import("three").Camera) | undefined;
        copy?: ((object: import("three").Object3D, recursive?: boolean) => import("three").Camera) | undefined;
        hasEventListener?: (<T extends keyof import("three").Object3DEventMap>(type: T, listener: import("three").EventListener<import("three").Object3DEventMap[T], T, import("three").Camera>) => boolean) | undefined;
        dispatchEvent?: (<T extends keyof import("three").Object3DEventMap>(event: import("three").BaseEvent<T> & import("three").Object3DEventMap[T]) => void) | undefined;
        position: import("angular-three").NgtVector3;
        up: import("angular-three").NgtVector3;
        scale: import("angular-three").NgtVector3;
        rotation: import("angular-three").NgtEuler;
        matrix: import("angular-three").NgtMatrix4;
        quaternion: import("angular-three").NgtQuaternion;
        layers: import("angular-three").NgtLayers;
        dispose: (() => void) | null;
        raycast: import("three").Object3D["raycast"] | null;
    } & {
        name?: string | undefined;
        readonly type?: string | undefined;
        addEventListener: (<TEventKey extends keyof import("angular-three").NgtNodeEventMap<TOriginal>>(type: TEventKey, listener: (this: import("angular-three").NgtNodeElement<import("three").PerspectiveCamera, typeof import("three").PerspectiveCamera>, ev: import("angular-three").NgtNodeEventMap<import("three").PerspectiveCamera>[TEventKey]) => any) => void) & (<TEventKey extends keyof import("angular-three").NgtAllObject3DEventsMap>(type: TEventKey, listener: (this: /*elided*/ any, ev: import("angular-three").NgtAllObject3DEventsMap[TEventKey]) => any) => void);
        removeEventListener: (<TEventKey extends keyof import("angular-three").NgtNodeEventMap<TOriginal>>(type: TEventKey, listener: (this: import("angular-three").NgtNodeElement<import("three").PerspectiveCamera, typeof import("three").PerspectiveCamera>, ev: import("angular-three").NgtNodeEventMap<import("three").PerspectiveCamera>[TEventKey]) => any) => void) & (<TEventKey extends keyof import("angular-three").NgtAllObject3DEventsMap>(type: TEventKey, listener: (this: /*elided*/ any, ev: import("angular-three").NgtAllObject3DEventsMap[TEventKey]) => any) => void);
        attach: string | string[] | import("angular-three").NgtAttachFunction;
        __ngt_args__: [fov?: number | undefined, aspect?: number | undefined, near?: number | undefined, far?: number | undefined];
        readonly isCamera?: true | undefined;
        matrixWorldInverse?: import("three").Matrix4 | undefined;
        projectionMatrix?: import("three").Matrix4 | undefined;
        projectionMatrixInverse?: import("three").Matrix4 | undefined;
        coordinateSystem?: import("three").CoordinateSystem | undefined;
        viewport?: import("three").Vector4 | undefined;
        getWorldDirection?: ((target: Vector3) => Vector3) | undefined;
        readonly isObject3D?: true | undefined;
        readonly id?: number | undefined;
        uuid?: string | undefined;
        parent?: import("three").Object3D<import("three").Object3DEventMap> | null | undefined;
        children?: import("three").Object3D<import("three").Object3DEventMap>[] | undefined;
        readonly modelViewMatrix?: import("three").Matrix4 | undefined;
        readonly normalMatrix?: import("three").Matrix3 | undefined;
        matrixWorld?: import("three").Matrix4 | undefined;
        matrixAutoUpdate?: boolean | undefined;
        matrixWorldAutoUpdate?: boolean | undefined;
        matrixWorldNeedsUpdate?: boolean | undefined;
        visible?: boolean | undefined;
        castShadow?: boolean | undefined;
        receiveShadow?: boolean | undefined;
        frustumCulled?: boolean | undefined;
        renderOrder?: number | undefined;
        animations?: import("three").AnimationClip[] | undefined;
        userData?: Record<string, any> | undefined;
        customDepthMaterial?: import("three").Material | undefined;
        customDistanceMaterial?: import("three").Material | undefined;
        onBeforeShadow?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, shadowCamera: import("three").Camera, geometry: import("three").BufferGeometry, depthMaterial: import("three").Material, group: import("three").Group) => void) | undefined;
        onAfterShadow?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, shadowCamera: import("three").Camera, geometry: import("three").BufferGeometry, depthMaterial: import("three").Material, group: import("three").Group) => void) | undefined;
        onBeforeRender?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, geometry: import("three").BufferGeometry, material: import("three").Material, group: import("three").Group) => void) | undefined;
        onAfterRender?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, geometry: import("three").BufferGeometry, material: import("three").Material, group: import("three").Group) => void) | undefined;
        applyMatrix4?: ((matrix: import("three").Matrix4) => void) | undefined;
        applyQuaternion?: ((quaternion: import("three").Quaternion) => import("three").PerspectiveCamera) | undefined;
        setRotationFromAxisAngle?: ((axis: Vector3, angle: number) => void) | undefined;
        setRotationFromEuler?: ((euler: import("three").Euler) => void) | undefined;
        setRotationFromMatrix?: ((m: import("three").Matrix4) => void) | undefined;
        setRotationFromQuaternion?: ((q: import("three").Quaternion) => void) | undefined;
        rotateOnAxis?: ((axis: Vector3, angle: number) => import("three").PerspectiveCamera) | undefined;
        rotateOnWorldAxis?: ((axis: Vector3, angle: number) => import("three").PerspectiveCamera) | undefined;
        rotateX?: ((angle: number) => import("three").PerspectiveCamera) | undefined;
        rotateY?: ((angle: number) => import("three").PerspectiveCamera) | undefined;
        rotateZ?: ((angle: number) => import("three").PerspectiveCamera) | undefined;
        translateOnAxis?: ((axis: Vector3, distance: number) => import("three").PerspectiveCamera) | undefined;
        translateX?: ((distance: number) => import("three").PerspectiveCamera) | undefined;
        translateY?: ((distance: number) => import("three").PerspectiveCamera) | undefined;
        translateZ?: ((distance: number) => import("three").PerspectiveCamera) | undefined;
        localToWorld?: ((vector: Vector3) => Vector3) | undefined;
        worldToLocal?: ((vector: Vector3) => Vector3) | undefined;
        lookAt?: {
            (vector: Vector3): void;
            (x: number, y: number, z: number): void;
        } | undefined;
        add?: ((...object: import("three").Object3D[]) => import("three").PerspectiveCamera) | undefined;
        remove?: ((...object: import("three").Object3D[]) => import("three").PerspectiveCamera) | undefined;
        removeFromParent?: (() => import("three").PerspectiveCamera) | undefined;
        clear?: (() => import("three").PerspectiveCamera) | undefined;
        getObjectById?: ((id: number) => import("three").Object3D | undefined) | undefined;
        getObjectByName?: ((name: string) => import("three").Object3D | undefined) | undefined;
        getObjectByProperty?: ((name: string, value: any) => import("three").Object3D | undefined) | undefined;
        getObjectsByProperty?: ((name: string, value: any, optionalTarget?: import("three").Object3D[]) => import("three").Object3D[]) | undefined;
        getWorldPosition?: ((target: Vector3) => Vector3) | undefined;
        getWorldQuaternion?: ((target: import("three").Quaternion) => import("three").Quaternion) | undefined;
        getWorldScale?: ((target: Vector3) => Vector3) | undefined;
        traverse?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        traverseVisible?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        traverseAncestors?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        updateMatrix?: (() => void) | undefined;
        updateMatrixWorld?: ((force?: boolean) => void) | undefined;
        updateWorldMatrix?: ((updateParents: boolean, updateChildren: boolean) => void) | undefined;
        toJSON?: ((meta?: import("three").JSONMeta) => import("three").PerspectiveCameraJSON) | undefined;
        clone?: ((recursive?: boolean) => import("three").PerspectiveCamera) | undefined;
        copy?: ((object: import("three").Object3D, recursive?: boolean) => import("three").PerspectiveCamera) | undefined;
        hasEventListener?: (<T extends keyof import("three").Object3DEventMap>(type: T, listener: import("three").EventListener<import("three").Object3DEventMap[T], T, import("three").PerspectiveCamera>) => boolean) | undefined;
        dispatchEvent?: (<T extends keyof import("three").Object3DEventMap>(event: import("three").BaseEvent<T> & import("three").Object3DEventMap[T]) => void) | undefined;
        readonly isPerspectiveCamera?: true | undefined;
        zoom?: number | undefined;
        fov?: number | undefined;
        aspect?: number | undefined;
        near?: number | undefined;
        far?: number | undefined;
        focus?: number | undefined;
        view?: {
            enabled: boolean;
            fullWidth: number;
            fullHeight: number;
            offsetX: number;
            offsetY: number;
            width: number;
            height: number;
        } | null | undefined;
        filmGauge?: number | undefined;
        filmOffset?: number | undefined;
        getFocalLength?: (() => number) | undefined;
        setFocalLength?: ((focalLength: number) => void) | undefined;
        getEffectiveFOV?: (() => number) | undefined;
        getFilmWidth?: (() => number) | undefined;
        getFilmHeight?: (() => number) | undefined;
        getViewBounds?: ((distance: number, minTarget: import("three").Vector2, maxTarget: import("three").Vector2) => void) | undefined;
        getViewSize?: ((distance: number, target: import("three").Vector2) => import("three").Vector2) | undefined;
        setViewOffset?: ((fullWidth: number, fullHeight: number, x: number, y: number, width: number, height: number) => void) | undefined;
        clearViewOffset?: (() => void) | undefined;
        updateProjectionMatrix?: (() => void) | undefined;
        setLens?: ((focalLength: number, frameHeight?: number) => void) | undefined;
        position: import("angular-three").NgtVector3;
        up: import("angular-three").NgtVector3;
        scale: import("angular-three").NgtVector3;
        rotation: import("angular-three").NgtEuler;
        matrix: import("angular-three").NgtMatrix4;
        quaternion: import("angular-three").NgtQuaternion;
        layers: import("angular-three").NgtLayers;
        dispose: (() => void) | null;
        raycast: import("three").Object3D["raycast"] | null;
    } & {
        name?: string | undefined;
        readonly type?: string | undefined;
        addEventListener: (<TEventKey extends keyof import("angular-three").NgtNodeEventMap<TOriginal>>(type: TEventKey, listener: (this: import("angular-three").NgtNodeElement<import("three").OrthographicCamera, typeof import("three").OrthographicCamera>, ev: import("angular-three").NgtNodeEventMap<import("three").OrthographicCamera>[TEventKey]) => any) => void) & (<TEventKey extends keyof import("angular-three").NgtAllObject3DEventsMap>(type: TEventKey, listener: (this: /*elided*/ any, ev: import("angular-three").NgtAllObject3DEventsMap[TEventKey]) => any) => void);
        removeEventListener: (<TEventKey extends keyof import("angular-three").NgtNodeEventMap<TOriginal>>(type: TEventKey, listener: (this: import("angular-three").NgtNodeElement<import("three").OrthographicCamera, typeof import("three").OrthographicCamera>, ev: import("angular-three").NgtNodeEventMap<import("three").OrthographicCamera>[TEventKey]) => any) => void) & (<TEventKey extends keyof import("angular-three").NgtAllObject3DEventsMap>(type: TEventKey, listener: (this: /*elided*/ any, ev: import("angular-three").NgtAllObject3DEventsMap[TEventKey]) => any) => void);
        attach: string | string[] | import("angular-three").NgtAttachFunction;
        __ngt_args__: [left?: number | undefined, right?: number | undefined, top?: number | undefined, bottom?: number | undefined, near?: number | undefined, far?: number | undefined];
        readonly isCamera?: true | undefined;
        matrixWorldInverse?: import("three").Matrix4 | undefined;
        projectionMatrix?: import("three").Matrix4 | undefined;
        projectionMatrixInverse?: import("three").Matrix4 | undefined;
        coordinateSystem?: import("three").CoordinateSystem | undefined;
        viewport?: import("three").Vector4 | undefined;
        getWorldDirection?: ((target: Vector3) => Vector3) | undefined;
        readonly isObject3D?: true | undefined;
        readonly id?: number | undefined;
        uuid?: string | undefined;
        parent?: import("three").Object3D<import("three").Object3DEventMap> | null | undefined;
        children?: import("three").Object3D<import("three").Object3DEventMap>[] | undefined;
        readonly modelViewMatrix?: import("three").Matrix4 | undefined;
        readonly normalMatrix?: import("three").Matrix3 | undefined;
        matrixWorld?: import("three").Matrix4 | undefined;
        matrixAutoUpdate?: boolean | undefined;
        matrixWorldAutoUpdate?: boolean | undefined;
        matrixWorldNeedsUpdate?: boolean | undefined;
        visible?: boolean | undefined;
        castShadow?: boolean | undefined;
        receiveShadow?: boolean | undefined;
        frustumCulled?: boolean | undefined;
        renderOrder?: number | undefined;
        animations?: import("three").AnimationClip[] | undefined;
        userData?: Record<string, any> | undefined;
        customDepthMaterial?: import("three").Material | undefined;
        customDistanceMaterial?: import("three").Material | undefined;
        onBeforeShadow?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, shadowCamera: import("three").Camera, geometry: import("three").BufferGeometry, depthMaterial: import("three").Material, group: import("three").Group) => void) | undefined;
        onAfterShadow?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, shadowCamera: import("three").Camera, geometry: import("three").BufferGeometry, depthMaterial: import("three").Material, group: import("three").Group) => void) | undefined;
        onBeforeRender?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, geometry: import("three").BufferGeometry, material: import("three").Material, group: import("three").Group) => void) | undefined;
        onAfterRender?: ((renderer: WebGLRenderer, scene: Scene, camera: import("three").Camera, geometry: import("three").BufferGeometry, material: import("three").Material, group: import("three").Group) => void) | undefined;
        applyMatrix4?: ((matrix: import("three").Matrix4) => void) | undefined;
        applyQuaternion?: ((quaternion: import("three").Quaternion) => import("three").OrthographicCamera) | undefined;
        setRotationFromAxisAngle?: ((axis: Vector3, angle: number) => void) | undefined;
        setRotationFromEuler?: ((euler: import("three").Euler) => void) | undefined;
        setRotationFromMatrix?: ((m: import("three").Matrix4) => void) | undefined;
        setRotationFromQuaternion?: ((q: import("three").Quaternion) => void) | undefined;
        rotateOnAxis?: ((axis: Vector3, angle: number) => import("three").OrthographicCamera) | undefined;
        rotateOnWorldAxis?: ((axis: Vector3, angle: number) => import("three").OrthographicCamera) | undefined;
        rotateX?: ((angle: number) => import("three").OrthographicCamera) | undefined;
        rotateY?: ((angle: number) => import("three").OrthographicCamera) | undefined;
        rotateZ?: ((angle: number) => import("three").OrthographicCamera) | undefined;
        translateOnAxis?: ((axis: Vector3, distance: number) => import("three").OrthographicCamera) | undefined;
        translateX?: ((distance: number) => import("three").OrthographicCamera) | undefined;
        translateY?: ((distance: number) => import("three").OrthographicCamera) | undefined;
        translateZ?: ((distance: number) => import("three").OrthographicCamera) | undefined;
        localToWorld?: ((vector: Vector3) => Vector3) | undefined;
        worldToLocal?: ((vector: Vector3) => Vector3) | undefined;
        lookAt?: {
            (vector: Vector3): void;
            (x: number, y: number, z: number): void;
        } | undefined;
        add?: ((...object: import("three").Object3D[]) => import("three").OrthographicCamera) | undefined;
        remove?: ((...object: import("three").Object3D[]) => import("three").OrthographicCamera) | undefined;
        removeFromParent?: (() => import("three").OrthographicCamera) | undefined;
        clear?: (() => import("three").OrthographicCamera) | undefined;
        getObjectById?: ((id: number) => import("three").Object3D | undefined) | undefined;
        getObjectByName?: ((name: string) => import("three").Object3D | undefined) | undefined;
        getObjectByProperty?: ((name: string, value: any) => import("three").Object3D | undefined) | undefined;
        getObjectsByProperty?: ((name: string, value: any, optionalTarget?: import("three").Object3D[]) => import("three").Object3D[]) | undefined;
        getWorldPosition?: ((target: Vector3) => Vector3) | undefined;
        getWorldQuaternion?: ((target: import("three").Quaternion) => import("three").Quaternion) | undefined;
        getWorldScale?: ((target: Vector3) => Vector3) | undefined;
        traverse?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        traverseVisible?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        traverseAncestors?: ((callback: (object: import("three").Object3D) => any) => void) | undefined;
        updateMatrix?: (() => void) | undefined;
        updateMatrixWorld?: ((force?: boolean) => void) | undefined;
        updateWorldMatrix?: ((updateParents: boolean, updateChildren: boolean) => void) | undefined;
        toJSON?: ((meta?: import("three").JSONMeta) => import("three").OrthographicCameraJSON) | undefined;
        clone?: ((recursive?: boolean) => import("three").OrthographicCamera) | undefined;
        copy?: ((object: import("three").Object3D, recursive?: boolean) => import("three").OrthographicCamera) | undefined;
        hasEventListener?: (<T extends keyof import("three").Object3DEventMap>(type: T, listener: import("three").EventListener<import("three").Object3DEventMap[T], T, import("three").OrthographicCamera>) => boolean) | undefined;
        dispatchEvent?: (<T extends keyof import("three").Object3DEventMap>(event: import("three").BaseEvent<T> & import("three").Object3DEventMap[T]) => void) | undefined;
        zoom?: number | undefined;
        near?: number | undefined;
        far?: number | undefined;
        view?: {
            enabled: boolean;
            fullWidth: number;
            fullHeight: number;
            offsetX: number;
            offsetY: number;
            width: number;
            height: number;
        } | null | undefined;
        setViewOffset?: ((fullWidth: number, fullHeight: number, offsetX: number, offsetY: number, width: number, height: number) => void) | undefined;
        clearViewOffset?: (() => void) | undefined;
        updateProjectionMatrix?: (() => void) | undefined;
        readonly isOrthographicCamera?: true | undefined;
        left?: number | undefined;
        right?: number | undefined;
        top?: number | undefined;
        bottom?: number | undefined;
        position: import("angular-three").NgtVector3;
        up: import("angular-three").NgtVector3;
        scale: import("angular-three").NgtVector3;
        rotation: import("angular-three").NgtEuler;
        matrix: import("angular-three").NgtMatrix4;
        quaternion: import("angular-three").NgtQuaternion;
        layers: import("angular-three").NgtLayers;
        dispose: (() => void) | null;
        raycast: import("three").Object3D["raycast"] | null;
    }>) & {
        manual?: boolean;
    }) | undefined> | undefined>;
    lookAt: import("@angular/core").InputSignal<Vector3 | [x: number, y: number, z: number] | undefined>;
    created: import("@angular/core").OutputEmitterRef<NgtState>;
    private store;
    private initRoot;
    private injector;
    private environmentInjector;
    private destroyRef;
    private zone;
    private canvasViewContainerRef;
    private configurator?;
    private glEnvironmentInjector?;
    private glRef?;
    constructor();
    onReady(event: any): void;
    private noZoneRender;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtCanvasNative, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtCanvasNative, "NgtCanvas", never, { "sceneGraph": { "alias": "sceneGraph"; "required": true; "isSignal": true; }; "gl": { "alias": "gl"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "shadows": { "alias": "shadows"; "required": false; "isSignal": true; }; "legacy": { "alias": "legacy"; "required": false; "isSignal": true; }; "linear": { "alias": "linear"; "required": false; "isSignal": true; }; "flat": { "alias": "flat"; "required": false; "isSignal": true; }; "orthographic": { "alias": "orthographic"; "required": false; "isSignal": true; }; "frameloop": { "alias": "frameloop"; "required": false; "isSignal": true; }; "performance": { "alias": "performance"; "required": false; "isSignal": true; }; "dpr": { "alias": "dpr"; "required": false; "isSignal": true; }; "raycaster": { "alias": "raycaster"; "required": false; "isSignal": true; }; "scene": { "alias": "scene"; "required": false; "isSignal": true; }; "camera": { "alias": "camera"; "required": false; "isSignal": true; }; "lookAt": { "alias": "lookAt"; "required": false; "isSignal": true; }; }, { "created": "created"; }, never, never, true, never>;
}
