import { Type } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { NgtAnyRecord, NgtCanvasOptions, NgtEventHandlers, NgtInstanceNode, NgtSignalStore, NgtState } from 'angular-three';
import { NgtTestCanvas } from './test-canvas';
export interface NgtTestGraphedObject {
    type: string;
    name: string;
    children: NgtTestGraphedObject[];
}
export declare class NgtTestBed {
    static create<T extends Type<any>>(sceneGraph: T, { mockCanvasOptions, canvasConfiguration, errorOnUnknownElements, providers, declarations, imports, teardown, deferBlockBehavior, }?: {
        mockCanvasOptions?: {
            width?: number;
            height?: number;
            beforeReturn?: (canvas: HTMLCanvasElement) => void;
        };
        canvasConfiguration?: Partial<Omit<NgtCanvasOptions, 'frameloop' | 'size' | 'events'>>;
    } & Omit<Parameters<TestBed['configureTestingModule']>[0], 'schemas'>): {
        store: NgtSignalStore<NgtState>;
        fixture: ComponentFixture<NgtTestCanvas>;
        scene: import("three").Scene;
        sceneInstanceNode: import("angular-three").NgtLocalState;
        canvas: HTMLCanvasElement;
        destroy: () => void;
        fireEvent: {
            (el: NgtInstanceNode, eventName: keyof NgtEventHandlers, eventData?: NgtAnyRecord): Promise<void>;
            setAutoDetectChanges(auto: boolean): void;
        };
        advance: (frames: number, delta?: number | number[]) => Promise<void>;
        toGraph: () => NgtTestGraphedObject[];
    };
    static createToGraph(store: NgtSignalStore<NgtState>): () => NgtTestGraphedObject[];
    static createAdvance(store: NgtSignalStore<NgtState>): (frames: number, delta?: number | number[]) => Promise<void>;
    static createEventFirer(store: NgtSignalStore<NgtState>, fixture: ComponentFixture<NgtTestCanvas>): {
        (el: NgtInstanceNode, eventName: keyof NgtEventHandlers, eventData?: NgtAnyRecord): Promise<void>;
        setAutoDetectChanges(auto: boolean): void;
    };
}
